<div class="custom-select">

    <div class="select" (click)="open()">
        <ng-container *ngIf="value$ | async as value">

            <ng-container *ngIf="value.length">
                <ng-container
                *ngFor="let v of value"
                [ngTemplateOutlet]="selectedTemplate"
                [ngTemplateOutletContext]="{ item: v }"></ng-container>
            </ng-container>

            <ng-container *ngIf="!value.length">
                <div class="placeholder">{{ placeholder }}</div>
            </ng-container>

        </ng-container>
    </div>

    <div *ngIf="open$ | async"
    [@slide] class="dropdown" [style.transform-origin]="'top'">

        <div class="filter">
            <i class="las la-search"></i>
            <input
            [(ngModel)]="query"
            placeholder="Filtrar resultados..."
            type="text">
        </div>

        <ul [formGroup]="form">
            <li [class.disabled]="item.inThread"
            *ngFor="let item of _items | arrayFilter:query:'title'">
                <ng-container [ngTemplateOutlet]="template"
                [ngTemplateOutletContext]="{ item }"></ng-container>
                <mr-checkbox [formControlName]="item.id"></mr-checkbox>
            </li>
        </ul>

        <div *ngIf="!(_items | arrayFilter:query:'title').length">
            <mr-empty [small]="true"></mr-empty>
        </div>

    </div>

</div>
